=== debian/control ===
Source: arduino-core
Section: electronics
Priority: optional
Maintainer: Javier Serrano Polo <javier@jasp.net>
Build-Depends: debhelper (>= 8), dh-jasp
Standards-Version: 3.9.1
Homepage: http://www.arduino.cc

Package: arduino-core
Architecture: all
Depends: avr-libc, avrdude, gcc, gcc-avr
Description: Minimal tool to interact with an Arduino
 Arduino is an open-source electronics prototyping platform based on
 flexible, easy-to-use hardware and software. It's intended for artists,
 designers, hobbyists, and anyone interested in creating interactive
 objects or environments.
 .
 This package contains the minimal set of tools to allow one to program an
 Arduino. It also contains some examples, and a quick intro in the package's
 README.Debian.
 .
 This package does not include the Java based Integrated Development
 Environment.
