=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_clean

binary-indep:
	dh_testdir
	dh_prep
	dh_link
	dh_install -XLICENSE.txt -XLicense.txt -XMangler/make.sh
	dh_installchangelogs -k build/shared/revisions.txt
	dh_installdocs
	dh_installexamples
	dh_compress
#	dh_compress -X.ino
	dh_fixperms
	dh_installdeb
	dh_gencontrol_substvars
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary
